module "route53" {
  source = "../modules/route53"

  providers = {
    aws = aws.aws
  }

  depends_on = [
    module.cloudfront
  ]

  zone_name = local.domain

  records = {
    root = {
      name = local.domain
      type = "A"
      alias = {
        name    = module.cloudfront.distribution_domain_name
        zone_id = module.cloudfront.distribution_hosted_zone_id
      }
    },
    www = {
      name = "www.${local.domain}"
      type = "A"
      alias = {
        name    = local.domain
      }
    }
  }
}
